<?php

namespace PaiementALivraison;

use Propel\Runtime\Connection\ConnectionInterface;
use Thelia\Model\Order;
use Thelia\Module\AbstractPaymentModule;

class PaiementALivraison extends AbstractPaymentModule
{
    const MESSAGE_DOMAIN = "PaiementALivraison";

    public function pay(Order $order)
    {
        // Nothing special to to.
    }

    /**
     *
     * This method is call on Payment loop.
     *
     * If you return true, the payment method will de display
     * If you return false, the payment method will not be display
     *
     * @return boolean
     */
    public function isValidPayment()
    {
        return $this->getCurrentOrderTotalAmount() > 0;
    }

    public function postActivation(ConnectionInterface $con = null)
    {
    }

    /**
     * if you want, you can manage stock in your module instead of order process.
     * Return false if you want to manage yourself the stock
     *
     * @return bool
     */
    public function manageStockOnCreation()
    {
        return false;
    }
}
